## O que é CTF? ##

**CTF** ou *Capture The Flag* é uma competição entre profissionais de segurança e/ou estudantes que querem aprender sobre segurança da informação.
Essa competição é usada como uma ferramenta para aprendizagem aos interessados e pode ser utilizada como uma prática para as ferramentas
e teorias que são aprendidas no decorrer da formação.

De acordo com a [CTFTime](https://ctftime.org/ctf-wtf/) essas competições podem ser de três tipos comuns: **Perigo**, **Ataque-Defesa** e **Mista**

#### Estilo Perigo #### 
Nesse modo consiste de um conjunto de tarefas dentro de algumas categorias, tais como:
* web
* forense
* criptografia

e alguns outros, onde cada tarefa resolvida resulta em uma pontuação, tarefas mais difíceis resultam em pontuações mais altas.
Nessa modalidade a próxima tarefa é aberta apenas quando a anterior é resolvida pelo time. O vencedor é o time que possui a maior soma de pontos.

#### Estilo Ataque-Defesa ####
Para essa modalidade, cada equipe possui sua própria rede(ou apenas um host) com serviços vulneráveis. A equipe terá tempo para 
lançar *patchs* para os serviços vulneráveis e desenvolver *exploits* usuais. Após isso a organização conecta os participantes e 
o *wargame* começa, cada equipe deverá proteger seus serviços para obter pontos de defesa e atacar serviços dos adversários para 
obter pontos de ataque.
 
#### Estilo Misto #### 
Competições mistas podem ser dos mais variados formatos, podendo ser um *wargame* com tempo especial para elementos baseados em tarefas.


Competições **CTF** também abordam muitos outros aspectos da segurança da informação, tais como:
* criptografia
* steganografia
* análise binária
* engenharia reversa
* segurança móvel

e outros, bons jogadores e profissionais geralmente tem habilidades e experiências em todas essas áreas.

## Tenho interesse, por onde eu começo? ##
Existem inúmeras plataformas para praticar **CTF**, e/ou obter mais informações, as quais deixo algumas como referência:

* [exploit-exercises](https://exploit-exercises.com/)
* [CTF Field Guide](https://trailofbits.github.io/ctf/index.html)
* [Shellter Labs](https://shellterlabs.com/en/)
* [CFT Time](https://ctftime.org/)
* [CTF-BR](https://ctf-br.org/)
* [practice-ctf](http://captf.com/practice-ctf/)



